CVE-2019-5747

Priority
Description
An issue was discovered in BusyBox through 1.30.0. An out of bounds read in
udhcp components (consumed by the DHCP server, client, and/or relay) might
allow a remote attacker to leak sensitive information from the stack by
sending a crafted DHCP message. This is related to assurance of a 4-byte
length when decoding DHCP_SUBNET. NOTE: this issue exists because of an
incomplete fix for CVE-2018-20679.
Package
Upstream:released (1:1.30.1-2)
Ubuntu 12.04 ESM (Precise Pangolin):needed
Ubuntu 14.04 LTS (Trusty Tahr):released (1:1.21.0-1ubuntu1.4)
Ubuntu 16.04 LTS (Xenial Xerus):released (1:1.22.0-15ubuntu1.4)
Ubuntu 18.04 LTS (Bionic Beaver):released (1:1.27.2-2ubuntu3.2)
Ubuntu 18.10 (Cosmic Cuttlefish):released (1:1.27.2-2ubuntu4.1)
Ubuntu 19.04 (Disco Dingo):released (1:1.27.2-2ubuntu5)
Ubuntu 19.10 (Eoan):released (1:1.27.2-2ubuntu5)
Patches:
Upstream:https://git.busybox.net/busybox/commit/?id=74d9f1ba37010face4bd1449df4d60dd84450b06
More Information

Updated: 2019-04-22 21:37:36 UTC (commit 750f6738e68600bdf0b7c7ef543b49378c330e4e)